
using SatorImaging.AppWindowUtility;
using UnityEngine;

namespace View {
	internal static class DisplaySetup {
		[RuntimeInitializeOnLoadMethod(RuntimeInitializeLoadType.BeforeSplashScreen)]
		private static void Setup() {
#if !UNITY_EDITOR
			AppWindowUtility.AlwaysOnTop = true;
			AppWindowUtility.FrameVisibility = false;

			//Vector2Int resolution = new(360, 640);
			Vector2Int resolution = new(360, 540);
			AppWindowUtility.ResizeWindow(resolution.x, resolution.y);
#endif
		}
	}
}